-- 基础信息
base_info = {
	group_id = 247007004
}

-- DEFS_MISCS
local GroupId = 247007004
local point_id_list = {}
local MainGroupID = 247007001
local RegionID = 4001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 4001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.114, y = -0.582, z = 160.077 } }
}

-- 触发器
triggers = {
	{ config_id = 1004001, name = "ENTER_REGION_4001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 4002, pos = { x = -4.049, y = -0.525, z = 167.745 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4003, pos = { x = 4.035, y = -0.527, z = 167.691 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4004, pos = { x = -0.070, y = -0.531, z = 168.635 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4005, pos = { x = -7.226, y = -0.511, z = 166.529 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 4006, pos = { x = 6.995, y = -0.518, z = 166.089 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 4007, pos = { x = -8.446, y = -0.527, z = 163.808 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 4008, pos = { x = 8.662, y = -0.522, z = 163.823 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 4009, pos = { x = -8.697, y = -0.532, z = 160.102 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 4010, pos = { x = 8.764, y = -0.524, z = 160.118 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 4011, pos = { x = -0.035, y = -0.518, z = 168.175 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 4012, pos = { x = -5.820, y = -0.507, z = 167.242 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 4013, pos = { x = 5.656, y = -0.532, z = 167.208 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 4014, pos = { x = -8.764, y = -0.524, z = 162.563 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 4015, pos = { x = 8.786, y = -0.526, z = 162.569 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 4016, pos = { x = -8.750, y = -0.530, z = 157.679 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 4017, pos = { x = 8.693, y = -0.531, z = 157.734 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 4018, pos = { x = -5.772, y = -0.532, z = 153.011 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 4019, pos = { x = 5.586, y = -0.532, z = 152.927 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 4020, pos = { x = -0.133, y = -0.532, z = 152.132 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4021, pos = { x = -7.249, y = -0.490, z = 167.259 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 4022, pos = { x = 7.031, y = -0.515, z = 167.262 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 4023, pos = { x = -7.247, y = -0.532, z = 152.908 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 4024, pos = { x = 6.954, y = -0.532, z = 152.986 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 4025, pos = { x = 0.056, y = -0.515, z = 167.507 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 4026, pos = { x = -0.142, y = -0.532, z = 152.750 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 4027, pos = { x = -8.224, y = -0.532, z = 160.081 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 4028, pos = { x = 8.152, y = -0.529, z = 160.046 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 4029, pos = { x = -8.119, y = -0.531, z = 156.016 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 4030, pos = { x = 7.849, y = -0.523, z = 163.455 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 4031, pos = { x = 3.288, y = -0.532, z = 152.433 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 4032, pos = { x = -3.964, y = -0.507, z = 167.355 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 4033, pos = { x = -3.962, y = -0.582, z = 164.607 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 4001 },
		triggers = { "ENTER_REGION_4001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
